Name:           pcsc-tools
Version:        1.6.2
Release:    1%{?dist}
Summary:        Tools to be used with smart cards and PC/SC

License:        GPLv2+
URL:            http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
Source0:        http://ludovic.rousseau.free.fr/softwares/pcsc-tools/%{name}-%{version}.tar.bz2
Source1:        http://ludovic.rousseau.free.fr/softwares/pcsc-tools/%{name}-%{version}.tar.bz2.asc
Source2:        http://ludovic.rousseau.free.fr/softwares/pcsc-tools/smartcard_list.txt
Source3:        LICENCE

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  pcsc-lite-devel >= 1.2.9
BuildRequires:  perl-generators
Requires:       pcsc-lite

%description
The pcsc-tools package contains some useful tools for a PC/SC user:
pcsc_scan regularly scans connected PC/SC smart card readers and
prints detected events, ATR_analysis analyzes smart card ATRs (Anwser
To Reset), and scriptor sends commands to a smart card.

%package gscriptor
Summary:        GUI tool to send command to a smart card
Requires:       %{name} = %{version}-%{release}

%description gscriptor
The pcsc-tools-gscriptor package contains graphical tool gscriptor which
can send commands to a smart card. It has GTK user interface.


%prep
%setup -q
[ -f LICENCE ] || cp -a %{SOURCE3} LICENCE
cp -a %{SOURCE2} smartcard_list.txt


%build
%configure
make %{?_smp_mflags} CPPFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install --mode=644 \
  --dir=%{buildroot}%{_datadir}/applications gscriptor.desktop


%files
%license LICENCE
%doc Changelog README
%{_bindir}/ATR_analysis
%{_bindir}/pcsc_scan
%{_bindir}/scriptor
%{_datadir}/pcsc/
%{_mandir}/man1/ATR_analysis.1*
%{_mandir}/man1/pcsc_scan.1*
%{_mandir}/man1/scriptor.1*

%files gscriptor
%license LICENCE
%{_bindir}/gscriptor
%{_mandir}/man1/gscriptor.1*
%{_datadir}/applications/*gscriptor.desktop


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-1
- initial build
